Page MenuHomePhabricator

Decommission db2012
Closed, ResolvedPublic

Description

db2012 has been substituted by db2042- after one week, it is working properly -proceed to decommission.

Decommission Checklist

START NON-INTERRUPPTABLE STEPS - please assign to @RobH for the non-interrupt steps

  • - disable puppet on host
  • - power down host
  • - disable switch port
  • - switch port assignment noted on this task (for later removal) - asw-a-codfw:ge-6/0/11
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate

END NON-INTERRUPPTABLE STEPS

  • - system disks wiped (by onsite)
  • - system unracked and decommissioned (by onsite), update racktables with result
  • - switch port configration removed from switch once system is unracked.
  • - add system to decommission tracking google sheet
  • - mgmt dns entries removed.

Details

Related Gerrit Patches:
operations/dns : masterDNS: Remove mgmt DNS for db2012
operations/dns : masterdb2012 decom, removing prod dns
operations/puppet : productiondb2012 decom
operations/puppet : productionMariadb: Schedule db1043 and db2012 for decommission

Event Timeline

jcrespo triaged this task as Medium priority.Feb 16 2018, 1:09 PM
jcrespo created this task.

Change 411229 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] Mariadb: Schedule db1043 and db2012 for decommission

https://gerrit.wikimedia.org/r/411229

Change 411229 merged by Jcrespo:
[operations/puppet@production] Mariadb: Schedule db1043 and db2012 for decommission

https://gerrit.wikimedia.org/r/411229

RobH updated the task description. (Show Details)
RobH added a project: DBA.Feb 16 2018, 5:37 PM

Since this is pending the DBA team's work on stating the new host is online, I've appended in the DBA flag. Once the DBA team work is done (their sign off its ok to continue and the replacement is working & the decom steps flagged for them due to service interactions), this can be assigned to @RobH and the DBA team flag removed from the task.

(If anything of the above is incorrect in the use of the DBA tag, my apologies! It seemed the best way to ensure this stays on radar without directly pinging anyone.)

Marostegui moved this task from Triage to In progress on the DBA board.Feb 21 2018, 4:14 PM
jcrespo assigned this task to RobH.Feb 23 2018, 5:52 PM
jcrespo removed a project: Patch-For-Review.
jcrespo updated the task description. (Show Details)
jcrespo moved this task from In progress to Done on the DBA board.
RobH updated the task description. (Show Details)Mar 14 2018, 11:28 PM

Change 419628 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] db2012 decom

https://gerrit.wikimedia.org/r/419628

Change 419628 merged by RobH:
[operations/puppet@production] db2012 decom

https://gerrit.wikimedia.org/r/419628

Change 419631 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] db2012 decom, removing prod dns

https://gerrit.wikimedia.org/r/419631

Change 419631 merged by RobH:
[operations/dns@master] db2012 decom, removing prod dns

https://gerrit.wikimedia.org/r/419631

RobH reassigned this task from RobH to Papaul.Mar 14 2018, 11:38 PM
RobH removed a project: Patch-For-Review.
RobH updated the task description. (Show Details)

Ok, this is now ready for onsite wipe.

RobH moved this task from Backlog to Decommission on the ops-codfw board.Mar 15 2018, 5:13 PM
Papaul updated the task description. (Show Details)Apr 17 2018, 2:56 PM
Papaul updated the task description. (Show Details)Apr 17 2018, 3:14 PM

switch port information

db2012 asw-a6-codfw ge-6/0/11

Switch port cleaned up.

ayounsi updated the task description. (Show Details)Apr 17 2018, 4:40 PM

Thanks @ayounsi, so only pending the mgmt dns entries!

Change 427179 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for db2012

https://gerrit.wikimedia.org/r/427179

Change 427179 merged by Dzahn:
[operations/dns@master] DNS: Remove mgmt DNS for db2012

https://gerrit.wikimedia.org/r/427179

Papaul closed this task as Resolved.Apr 18 2018, 1:10 AM
Papaul updated the task description. (Show Details)